Loading...
Searching...
No Matches
NCVVectorAlloc< T > Class Template Reference

NCVVectorAlloc. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVVectorAlloc< T >:

## Public Member Functions

| NCVVectorAlloc (INCVMemAllocator &allocator, Ncv32u length)
| ~NCVVectorAlloc ()
NcvBool | isMemAllocated () const
Ncv32u | getAllocatorsAlignment () const
NCVMemSegment | getSegment () const
Public Member Functions inherited from NCVVector< T >
| NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, std::size_t howMuch=0) const
T * | ptr () const
std::size_t | length () const
NCVMemoryType | memType () const

## Additional Inherited Members

Protected Attributes inherited from NCVVector< T >
T * | _ptr
std::size_t | _length
NCVMemoryType | _memtype

## Detailed Description

template<class T>
class NCVVectorAlloc< T >

NCVVectorAlloc.

Definition at line 565 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVVectorAlloc()

template<class T>

NCVVectorAlloc< T >::NCVVectorAlloc | ( | INCVMemAllocator & | allocator,
|  | Ncv32u | length )

inline

Definition at line 573 of file NCV.hpp.

References NCVVector< T >::_length, NCVVector< T >::_memtype, NCVVector< T >::_ptr, NCVVector< T >::clear(), and NCVVector< T >::length().

## ~NCVVectorAlloc()

template<class T>

NCVVectorAlloc< T >::~NCVVectorAlloc | ( |  | ) |

inline

Definition at line 590 of file NCV.hpp.

References NCVVector< T >::clear().

## Member Function Documentation

## getAllocatorsAlignment()

template<class T>

Ncv32u NCVVectorAlloc< T >::getAllocatorsAlignment | ( |  | ) | const

inline

Definition at line 605 of file NCV.hpp.

## getSegment()

template<class T>

NCVMemSegment NCVVectorAlloc< T >::getSegment | ( |  | ) | const

inline

Definition at line 610 of file NCV.hpp.

## isMemAllocated()

template<class T>

NcvBool NCVVectorAlloc< T >::isMemAllocated | ( |  | ) | const

inline

Definition at line 600 of file NCV.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp